commit:     871ee3e6a2fffa618627cd9a2647e99bb9a77e4e
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Oct 31 01:51:06 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sun Nov  1 06:13:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=871ee3e6

dev-libs/libtpms: Bump to 0.7.4

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/libtpms/Manifest             |  1 +
 dev-libs/libtpms/libtpms-0.7.4.ebuild | 39 +++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-libs/libtpms/Manifest b/dev-libs/libtpms/Manifest
index fd103f61d20..b4c691c5cba 100644
--- a/dev-libs/libtpms/Manifest
+++ b/dev-libs/libtpms/Manifest
@@ -1 +1,2 @@
 DIST libtpms-0.7.3.tar.gz 1206014 BLAKE2B 
32636be3e15e27a53de1c935144d2363a80689456bd70493b4eef38214ef1b9ef84ae43d1da253c9dd3e362d385b6e1638eace7a1f105736ca54f581a5f474f0
 SHA512 
bfd573f909965991e266434391de5f1e52c724e679e5580b7839032a1ee57f8d36cdec6d892b1d22fb7285335801a6fe17ea8559ea7ba43704fbf57c6a06dd05
+DIST libtpms-0.7.4.tar.gz 1212986 BLAKE2B 
ff34a9c35167a251eb8ba222255f6be316503d67dde7fba46b6cbc32a1f4eb5ff5a2bb5f0c21963b8d879481f6f4b09646e8e0c5fcddb12cb73309c47505070f
 SHA512 
5a396a7e8273bed1159b0c48d2bf9f02550fed06656240e336778587b7fbe53859dab8f2ba479683e02fedfde4260a9083641be161aec0cb38a605399300997a

diff --git a/dev-libs/libtpms/libtpms-0.7.4.ebuild 
b/dev-libs/libtpms/libtpms-0.7.4.ebuild
new file mode 100644
index 00000000000..e11a466ade7
--- /dev/null
+++ b/dev-libs/libtpms/libtpms-0.7.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library providing software emultion of a TPM"
+HOMEPAGE="https://github.com/stefanberger/libtpms";
+SRC_URI="https://github.com/stefanberger/libtpms/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="libressl"
+
+DEPEND=" !libressl? ( dev-libs/openssl:0= )
+       libressl? ( dev-libs/libressl:0= )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.7.3-Remove-WError.patch"
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-static \
+               --with-openssl \
+               --with-tpm2
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to